Bug 3631 - Delegation fetching errors should cause the job to fail instead of just causing a RuntimeException
: Delegation fetching errors should cause the job to fail instead of just causi...
Status: RESOLVED FIXED
: GRAM
general
: unspecified
: PC Linux
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-08-09 19:45 by
Modified: 2005-08-12 13:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-09 19:45:27
When a job is not able to fetch a delegated credential either because it has
expired or the EPR specified is invalid, only a RuntimeException is thrown and
globusrun-ws usually hangs.  This affects both the trunk and 4.0.x branch as
well as both the MEJS and MMJS.
------- Comment #1 From 2005-08-09 20:14:24 -------
Fixed in trunk.  Still need to fix the branch.
------- Comment #2 From 2005-08-11 19:39:22 -------
Made some more fixes to the trunk and then merged them all to the 4.0 branch.